Update targeting
curl --request PUT \
--url https://{domain}/api/v2/network/offers/{offer_id}/targeting \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"strict_targeting": 0,
"gt_included_ids": "string",
"gt_excluded_ids": "string",
"extended_targeting": "string"
}
'import requests
url = "https://{domain}/api/v2/network/offers/{offer_id}/targeting"
payload = {
"strict_targeting": 0,
"gt_included_ids": "string",
"gt_excluded_ids": "string",
"extended_targeting": "string"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
strict_targeting: 0,
gt_included_ids: 'string',
gt_excluded_ids: 'string',
extended_targeting: 'string'
})
};
fetch('https://{domain}/api/v2/network/offers/{offer_id}/targeting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": 200,
"name": "OK",
"message": "<string>"
}{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}{
"message": "API key is invalid or missing.",
"success": false
}{
"message": "This endpoint is not available for your role.",
"success": false
}{
"message": "Resource not found.",
"success": false
}{
"message": "Validation error",
"success": false,
"info": {
"errors": {
"email": [
"Email cannot be blank."
],
"currency": [
"Currency must be a valid ISO code."
]
}
}
}{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}Targeting
Update targeting
Updates targeting settings for an offer.
PUT
/
api
/
v2
/
network
/
offers
/
{offer_id}
/
targeting
Update targeting
Authorizations
ApiKeyHeaderAuthApiKeyAuth
Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.
Path Parameters
Offer ID.
Body
application/json
Was this page helpful?
⌘I